hwicap: XHwIcap Struct Reference

| hwicap Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XHwIcap Struct Reference
Hwicap_v11_2

The XHwIcap driver instance data. More...

## Data Fields
XHwIcap_Config | HwIcapConfig
| Instance of the config struct. More...
u32 | IsReady
| Device is initialized and ready. More...
int | IsPolled
| Device is in polled mode. More...
u32 | DeviceIdCode
| IDCODE of targeted device. More...
u32 | DeviceFamily
| Targeted device family. More...
u32 | BytesPerFrame
| Number of Bytes per minor Frame. More...
u32 | WordsPerFrame
| Number of Words per minor Frame. More...
u32 | RequestedWords
| Number of Words to transfer. More...
u32 | RemainingWords
| Number of Words left to transfer. More...
int | IsTransferInProgress
| A transfer is in progress. More...
XHwIcap_StatusHandler | StatusHandler
| Interrupt handler callback. More...
void * | StatusRef
| Callback ref. More...

## Detailed Description

The XHwIcap driver instance data.

The user is required to allocate a variable of this type for every HwIcap device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

u32 XHwIcap::BytesPerFrame

Number of Bytes per minor Frame.

Referenced by XHwIcap_CfgInitialize().

u32 XHwIcap::DeviceFamily

Targeted device family.

Referenced by XHwIcap_CfgInitialize(), and XHwIcap_DeviceReadFrame().

u32 XHwIcap::DeviceIdCode

IDCODE of targeted device.

Referenced by XHwIcap_DeviceWriteFrame().

XHwIcap_Config XHwIcap::HwIcapConfig

Instance of the config struct.

Referenced by XHwIcap_Abort(), XHwIcap_CfgInitialize(), XHwIcap_DeviceRead(), XHwIcap_DeviceWrite(), XHwIcap_FlushFifo(), XHwIcap_GetConfigReg(), XHwIcap_Reset(), and XHwIcap_SelfTest().

int XHwIcap::IsPolled

Device is in polled mode.

Referenced by XHwIcap_CfgInitialize(), and XHwIcap_DeviceWrite().

u32 XHwIcap::IsReady

Device is initialized and ready.

Referenced by XHwIcap_Abort(), XHwIcap_CfgInitialize(), XHwIcap_CommandCapture(), XHwIcap_CommandDesync(), XHwIcap_DeviceRead(), XHwIcap_DeviceReadFrame(), XHwIcap_DeviceWrite(), XHwIcap_DeviceWriteFrame(), XHwIcap_FlushFifo(), XHwIcap_GetConfigReg(), XHwIcap_Reset(), XHwIcap_SelfTest(), and XHwIcap_SetInterruptHandler().

int XHwIcap::IsTransferInProgress

A transfer is in progress.

Referenced by XHwIcap_CfgInitialize(), XHwIcap_DeviceRead(), XHwIcap_DeviceWrite(), and XHwIcap_IntrHandler().

u32 XHwIcap::RemainingWords

Number of Words left to transfer.

Referenced by XHwIcap_DeviceRead(), XHwIcap_DeviceWrite(), and XHwIcap_IntrHandler().

u32 XHwIcap::RequestedWords

Number of Words to transfer.

Referenced by XHwIcap_DeviceRead(), XHwIcap_DeviceWrite(), and XHwIcap_IntrHandler().

XHwIcap_StatusHandler XHwIcap::StatusHandler

Interrupt handler callback.

Referenced by XHwIcap_CfgInitialize(), XHwIcap_IntrHandler(), and XHwIcap_SetInterruptHandler().

void* XHwIcap::StatusRef

Callback ref.

for the interrupt handler

Referenced by XHwIcap_IntrHandler(), and XHwIcap_SetInterruptHandler().

u32 XHwIcap::WordsPerFrame

Number of Words per minor Frame.

Referenced by HwIcapReadFramePolledExample(), XHwIcap_CfgInitialize(), XHwIcap_DeviceReadFrame(), and XHwIcap_DeviceWriteFrame().